oCoreoCore Docs
API Reference

Git Hub Apps

Get GitHub App configuration

Returns the GitHub App configuration for the organization with sensitive fields masked.

GET
/settings/github-app

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

curl -X GET "//api.ocore.dev/api/settings/github-app" \
  -H "Authorization: <token>"

OK

{}

Save GitHub App configuration

Saves or updates the GitHub App configuration for the organization.

POST
/settings/github-app

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Request Body

application/jsonRequired

GitHub App configuration

app_idinteger
app_slugstring
client_idstring
client_secretstring
private_keystring
webhook_secretstring
curl -X POST "//api.ocore.dev/api/settings/github-app" \
  -H "Authorization: <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "app_id": 0,
    "app_slug": "string",
    "client_id": "string",
    "client_secret": "string",
    "private_key": "string",
    "webhook_secret": "string"
  }'

OK

{
  "message": "string"
}

Delete GitHub App configuration

Removes the GitHub App configuration from the organization.

DELETE
/settings/github-app

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

curl -X DELETE "//api.ocore.dev/api/settings/github-app" \
  -H "Authorization: <token>"

No Content

GitHub App installation callback

Handles the callback from GitHub after a user installs the App on their repository.

GET
/settings/github-app/callback

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Query Parameters

installation_idRequiredinteger

GitHub installation ID

curl -X GET "//api.ocore.dev/api/settings/github-app/callback?installation_id=0" \
  -H "Authorization: <token>"

OK

{
  "message": "string"
}

Was this page helpful?